Create a Status list configuration
Creates a Status list configuration, which defines a status list validity periods. mDocs can then be assigned to a specific Status list configuration.
Roles
Analytics Events
bearerAuthAuthorizationBearer <token>The Status list configuration payload
application/json- body
docType*stringStatus list configurations are unique per docType on your tenant. This value must match the type set when creating an mDoc credential configuration.
1 <= length <= 1024timeToLiveDuration*Defines how long relying parties can cache Status list tokens of this docType before it is recommended to retrieve a new Status list token from the tenant. Cannot exceed expiryDuration.
expiryDuration*Defines how long relying parties can cache Status list tokens of this docType before they expire. Once a Status list token expires, relying parties can no longer use it to check credentials status and must retrieve a new one from the tenant. Regardless of the value of this parameter, Status list tokens expiry cannot exceed the validity of the IACA that is used to sign the Status list token.
Status list configuration created
application/json- response
id*stringUniquely identifies the created Status list configuration.
uuiddocType*stringThe unique docType the created Status list configuration is associated with.
timeToLiveDuration*Defines how long relying parties can cache Status list tokens of this docType before it is recommended to retrieve a new Status list token from the tenant. Cannot exceed expiryDuration.
expiryDuration*Defines how long relying parties can cache Status list tokens of this docType before they expire. Once a Status list token expires, relying parties can no longer use it to check credentials status and must retrieve a new one from the tenant. Regardless of the value of this parameter, Status list tokens expiry cannot exceed the validity of the IACA that is used to sign the Status list token.
curl -X POST "https://example.com/v2/credentials/mobile/status-lists/configurations" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "983c0a86-204f-4431-9371-f5a22e506599", "docType": "Drivers License", "timeToLiveDuration": { "days": 1 }, "expiryDuration": { "days": 2 }}How would you rate this page?